AnsweredAssumed Answered

Using CTools from Pentaho 8.0 on Pentaho 7.0

Question asked by Dejan Gambin on Nov 24, 2017
Latest reply on Dec 11, 2017 by Dejan Gambin

Hi,

 

Since I am blocked in using 8.0 because of a bug: [CDE-934] Uncaught Error: Load timeout for modules when embedding dashboard within Pentaho Server behind Apache Proxy - … , I have to stay on 7.0. The problem is - my embedded dashboards don't work when using https, probably because of bug [CDF-949] CDF: Embeded Dashboards returns HTTP even when the connection is done through SSL/TLS (https) - Pentaho Platfo…  and related [CDE-908] Embedding a CDE dashboard fails when using HTTPS - Pentaho Platform Tracking (I get mixed content errors). Those two bugs are solved in 7.1/8.0 but as I can't use any of these, I've tried to put CTools plugins (cda, cgg, cdf and cde) from 8.0 to my 7.0 server. Unfortunatelly I get errors like "ERROR [RenderApi] Could not load dashboard: null" so I am stucked again.

 

My question is - am I missing something and should the Ctools plugins from 8.0 work on 7.0?

 

Thx very much

 

regards, dejan

Outcomes